Skip to main content

Upload and deploy the application as either a war or an ear file

POST 

/qsystem/rest/config/applications/:applicationId/deployment

Upload and deploy the application as either a war or an ear file.

  • The name of the file must begin with the application's path which was created when adding the application, i.e. if the path is "application1" then the file you wish to upload must have the prefix "application1" in its name.

  • The prefix is verified in a case-insensitive manner.

  • For example, if the file you wish to upload is a war file, then it could be named like "application1-backend.war", "Application1.war", etc.

The file will be uploaded and the application server will automatically deploy it within a couple of minutes.

curl -u user:password -i -X POST -F 'file=@{PATH_TO_FILE}' http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/deployment

Request​

Responses​

Success